const angularJson = require('./angular.json');
const port = angularJson.projects['@webdpt/athena-microsite'].architect.serve.options.port;
const remotes = require('./src/static/remote-host.json');

/**
 * 拦截api.dev.json文件，将请求转发到本地，其他请求转发到线上
 */
const athena_web_url = remotes.host;

module.exports = {
  "/assets/api.dev.json": {
    "target": `http://localhost:${port}/static`,
    "secure": false,
    "pathRewrite": {
      "^/assets": ""
    },
    "changeOrigin": true
  },
  "/static/package/plugins-config-server.json": {
    "target": `http://localhost:${port}`,
    "secure": false,
    "changeOrigin": true
  },
  "/assets/*": {
    "target": athena_web_url,
    "secure": false,
    "changeOrigin": true
  },
  "/static/package/*": {
    "target": athena_web_url,
    "secure": false,
    "pathRewrite": {
      "^/static": ""
    },
    "changeOrigin": true
  },
  "/scripts/*": {
    "target": athena_web_url,
    "secure": false,
    "changeOrigin": true
  },
  "/*.js": {
    "target": athena_web_url,
    "secure": false,
    "changeOrigin": true
  },
  "/*.png": {
    "target": athena_web_url,
    "secure": false,
    "changeOrigin": true
  },
  "/*.svg": {
    "target": athena_web_url,
    "secure": false,
    "changeOrigin": true
  },
  "/*.ttf": {
    "target": athena_web_url,
    "secure": false,
    "changeOrigin": true
  }
};