import { enableProdMode, Compiler, APP_INITIALIZER } from '@angular/core';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { registerLocaleData } from '@angular/common';
import zh from '@angular/common/locales/zh';
import { environment } from './environments/environment';
import { loadRemoteModule } from '@angular-architects/module-federation';
// const remotes = require('./static/remote-host');
import remoteHost from './static/remote-host.json';

if (environment.production) {
  enableProdMode();
}

const configuration = {
  remoteEntry: remoteHost.host + '/athenaAppModule.js?t=' + new Date().getTime(),
  remoteName: 'profile',
  exposedModule: 'ProfileModule',
  moduleName: 'AppModule',
  componentName: 'AppComponent',
};

const { remoteEntry, remoteName, exposedModule, moduleName, componentName } = configuration;
loadRemoteModule({ remoteEntry, remoteName, exposedModule }).then((m) => {
  const appModule = m[moduleName];
  registerLocaleData(zh);
  platformBrowserDynamic().bootstrapModule(appModule).then(() => {

  })
    .catch(err => console.error(err));
});


