export interface ICustomAppConfig {
  /** 定制应用名称 */
  appCode: string;
  /** 定制模块名称 */
  moduleName?: string;
  /** 定制模块路径 */
  modulePath?: string;
}

export interface IProgramInfo {
  [key: string]: IProgramInfoParams;
}

export interface IProgramInfoParams {
  /** json路径 */
  jsonPath: string;
  /** 定制页说明 */
  description?: string;
}

/** 定制应用配置 */
export const CUSTOM_APP_CONFIG: ICustomAppConfig = {
  appCode: 'EfmDemoAT',
  moduleName: 'EfmDemoATModule',
  modulePath: './src/app/implementation/athena-app.module.ts',
};

/** 定制页信息 */
export const programs: IProgramInfo = {
  knowledgeBase: {
    jsonPath: '/assets/api/api-knowledge-base.json',
    description: '查询知识库'
  },
  faultDetailBtn: {
    jsonPath: '/assets/api/api-fault-detail-btn.json',
    description: '故障统计明细'
  },
  faultCount: {
    jsonPath: '/assets/api/api-fault-count.json',
    description: '故障统计'
  },
  timeExpand: {
    jsonPath: '/assets/api/api-time-expand.json',
    description: '延长时间'
  },
  settingBtn: {
    jsonPath: '/assets/api/api-setting-btn.json',
    description: '派遣清单操作列'
  },
  dispatchList: {
    jsonPath: '/assets/api/api-dispatch-list.json',
    description: '派遣清单'
  },
  deviceDetail: {
    jsonPath: '/assets/api/api-device-detail.json',
    description: '设备详情'
  },
  productPlan: {
    jsonPath: '/assets/api/api-product-plan.json',
    description: '生产计划'
  },
  workOrderEffect: {
    jsonPath: '/assets/api/api-work-order-effect.json',
    description: '当前工单影响'
  },
  faultPlanOperateFiled: {
    jsonPath: '/assets/api/api-fault-plan-operate-filed.json',
    description: '故障预案操作栏位'
  },
  faultPlanAddRow: {
    jsonPath: '/assets/api/api-fault-plan-add-row.json',
    description: '故障预案基础资料新增'
  }
};
