/* eslint-disable indent */
import {
  ChangeDetectorRef,
  Component,
  ElementRef,
  EventEmitter,
  Input,
  OnInit,
  Output,
} from '@angular/core';
import { FormGroup } from '@angular/forms';
// eslint-disable-next-line max-len
import {
  DynamicFormControlComponent,
  DynamicFormControlLayout,
  DynamicFormLayout,
  DynamicFormLayoutService,
  DynamicFormValidationService,
} from '@athena/dynamic-core';
import { DynamicFaultPlanAddRowModel } from 'app/implementation/model/fault-plan-add-row/fault-plan-add-row.model';
import { FaultPlanAddRowService } from './fault-plan-add-row.service';
import { CommonService } from 'app/implementation/service/common.service';

@Component({
  selector: 'app-fault-plan-add-row',
  templateUrl: './fault-plan-add-row.component.html',
  styleUrls: ['./fault-plan-add-row.component.less'],
  providers: [FaultPlanAddRowService, CommonService],
})
export class FaultPlanAddRowComponent
  extends DynamicFormControlComponent
  implements OnInit
{
  @Input() formLayout: DynamicFormLayout;
  @Input() group: FormGroup;
  @Input() layout: DynamicFormControlLayout;
  @Input() model: DynamicFaultPlanAddRowModel;
  // eslint-disable-next-line @angular-eslint/no-output-native
  @Output() blur: EventEmitter<any> = new EventEmitter();
  // eslint-disable-next-line @angular-eslint/no-output-native
  @Output() change: EventEmitter<any> = new EventEmitter();
  // eslint-disable-next-line @angular-eslint/no-output-native
  @Output() focus: EventEmitter<any> = new EventEmitter();

  constructor(
    protected changeRef: ChangeDetectorRef,
    protected layoutService: DynamicFormLayoutService,
    protected validationService: DynamicFormValidationService,
    protected elementRef: ElementRef,
    private faultPlanAddRowService: FaultPlanAddRowService,
    public commonService: CommonService
  ) {
    super(layoutService, validationService, changeRef, elementRef);
  }

  ngOnInit() {
    this.commonService.content = this.model.content;
    console.log('group', this.group);
  }
  get tableList(): any {
    return this.group.get('fault_plan_info_basic_details')['_component'];
  }
  addRow() {
    // 找到当前表格内最大的序号
    const maxSeq = this.group.get('fault_plan_info_basic_details').value.length
      ? Math.max(
          ...(this.group.get('fault_plan_info_basic_details').value as any).map(
            (control) => {
              return control.sequence;
            }
          )
        )
      : 0;
    const addData = Object.assign(
      {},
      { sequence: maxSeq + 1, operation: '', value: '', waiting_time: '' }
    );
    this.tableList.addRow(
      addData,
      false,
      this.tableList,
      false,
      this.tableList.length
    );
    console.log('groupadd2', this.group);
  }
}
