import {
  ChangeDetectorRef,
  Component,
  ElementRef,
  EventEmitter,
  Input,
  OnInit,
  Output,
  TemplateRef,
  ViewChild,
} from '@angular/core';
import { FormGroup } from '@angular/forms';
// eslint-disable-next-line max-len
import {
  DynamicFormControlComponent,
  DynamicFormControlLayout,
  DynamicFormLayout,
  DynamicFormLayoutService,
  DynamicFormValidationService,
} from '@athena/dynamic-core';
import { DynamicProductPlanModel } from 'app/implementation/model/product-plan/product-plan.model';
import { ProductPlanService } from './product-plan.service';
import { CommonService } from 'app/implementation/service/common.service';
import { AthTableComponent } from '@athena/design-ui';
import { AthModalService } from '@athena/design-ui/src/components/modal';
import { AthGridModalType } from '@athena/design-ui/components/modal/modal-types';
@Component({
  selector: 'app-product-plan',
  templateUrl: './product-plan.component.html',
  styleUrls: ['./product-plan.component.less'],
  providers: [ProductPlanService, CommonService],
})
export class ProductPlanComponent
  extends DynamicFormControlComponent
  implements OnInit
{
  @Input() formLayout: DynamicFormLayout;
  @Input() group: FormGroup;
  @Input() layout: DynamicFormControlLayout;
  @Input() model: DynamicProductPlanModel;
  // eslint-disable-next-line @angular-eslint/no-output-native
  @Output() blur: EventEmitter<any> = new EventEmitter();
  // eslint-disable-next-line @angular-eslint/no-output-native
  @Output() change: EventEmitter<any> = new EventEmitter();
  // eslint-disable-next-line @angular-eslint/no-output-native
  @Output() focus: EventEmitter<any> = new EventEmitter();
  @ViewChild('athenaTable', { static: true }) athenaTable: AthTableComponent;
  @ViewChild('productPlanTemplateRef') productPlanTemplateRef: TemplateRef<any>;
  constructor(
    protected changeRef: ChangeDetectorRef,
    protected layoutService: DynamicFormLayoutService,
    protected validationService: DynamicFormValidationService,
    protected elementRef: ElementRef,
    private productPlanService: ProductPlanService,
    public commonService: CommonService,
    public modalService: AthModalService
  ) {
    super(layoutService, validationService, changeRef, elementRef);
  }

  ngOnInit() {
    this.commonService.content = this.model.content;
    // this.getTableList();
  }
}
