import {
  DynamicFormControl,
  DynamicFormControlModel,
} from '@athena/dynamic-core';
import { Type } from '@angular/core';
import { FaultPlanAddRowComponent } from '../programs/basic-detail/fault-plan-add-row/fault-plan-add-row.component';
import { DYNAMIC_CUSTOM__ATHENA_FAULT_PLAN_ADD_ROW, DynamicFaultPlanAddRowModel } from '../model/fault-plan-add-row/fault-plan-add-row.model';
import { FaultPlanOperateFiledComponent } from '../programs/basic-detail/fault-plan-operate-filed/fault-plan-operate-filed.component';
import { DYNAMIC_CUSTOM__ATHENA_FAULT_PLAN_OPERATE_FILED, DynamicFaultPlanOperateFiledModel } from '../model/fault-plan-operate-filed/fault-plan-operate-filed.model';
import { WorkOrderEffectComponent } from '../programs/task-detail/work-order-effect/work-order-effect.component';
import { DYNAMIC_CUSTOM__ATHENA_WORK_ORDER_EFFECT, DynamicWorkOrderEffectModel } from '../model/work-order-effect/work-order-effect.model';
import { ProductPlanComponent } from '../programs/task-detail/product-plan/product-plan.component';
import { DYNAMIC_CUSTOM__ATHENA_PRODUCT_PLAN, DynamicProductPlanModel } from '../model/product-plan/product-plan.model';
import { DeviceDetailComponent } from '../programs/task-detail/device-detail/device-detail.component';
import { DYNAMIC_CUSTOM__ATHENA_DEVICE_DETAIL, DynamicDeviceDetailModel } from '../model/device-detail/device-detail.model';
import { DispatchListComponent } from '../programs/task-detail/dispatch-list/dispatch-list.component';
import { DYNAMIC_CUSTOM__ATHENA_DISPATCH_LIST, DynamicDispatchListModel } from '../model/dispatch-list/dispatch-list.model';
import { SettingBtnComponent } from '../programs/task-detail/setting-btn/setting-btn.component';
import { DYNAMIC_CUSTOM__ATHENA_SETTING_BTN, DynamicSettingBtnModel } from '../model/setting-btn/setting-btn.model';
import { TimeExpandComponent } from '../programs/task-detail/time-expand/time-expand.component';
import { DYNAMIC_CUSTOM__ATHENA_TIME_EXPAND, DynamicTimeExpandModel } from '../model/time-expand/time-expand.model';
import { FaultCountComponent } from '../programs/task-detail/fault-count/fault-count.component';
import { DYNAMIC_CUSTOM__ATHENA_FAULT_COUNT, DynamicFaultCountModel } from '../model/fault-count/fault-count.model';
import { FaultDetailBtnComponent } from '../programs/task-detail/fault-detail-btn/fault-detail-btn.component';
import { DYNAMIC_CUSTOM__ATHENA_FAULT_DETAIL_BTN, DynamicFaultDetailBtnModel } from '../model/fault-detail-btn/fault-detail-btn.model';
import { KnowledgeBaseComponent } from '../programs/task-detail/knowledge-base/knowledge-base.component';
import { DYNAMIC_CUSTOM__ATHENA_KNOWLEDGE_BASE, DynamicKnowledgeBaseModel } from '../model/knowledge-base/knowledge-base.model';

export function businessUIFormComponentMapFn(
  model: DynamicFormControlModel
): Type<any> | null {
  switch (model.type) {
    case DYNAMIC_CUSTOM__ATHENA_KNOWLEDGE_BASE:
      return KnowledgeBaseComponent;
    case DYNAMIC_CUSTOM__ATHENA_FAULT_DETAIL_BTN:
      return FaultDetailBtnComponent;
    case DYNAMIC_CUSTOM__ATHENA_FAULT_COUNT:
      return FaultCountComponent;
    case DYNAMIC_CUSTOM__ATHENA_TIME_EXPAND:
      return TimeExpandComponent;
    case DYNAMIC_CUSTOM__ATHENA_SETTING_BTN:
      return SettingBtnComponent;
    case DYNAMIC_CUSTOM__ATHENA_DISPATCH_LIST:
      return DispatchListComponent;
    case DYNAMIC_CUSTOM__ATHENA_DEVICE_DETAIL:
      return DeviceDetailComponent;
    case DYNAMIC_CUSTOM__ATHENA_PRODUCT_PLAN:
      return ProductPlanComponent;
    case DYNAMIC_CUSTOM__ATHENA_WORK_ORDER_EFFECT:
      return WorkOrderEffectComponent;
    case DYNAMIC_CUSTOM__ATHENA_FAULT_PLAN_OPERATE_FILED:
      return FaultPlanOperateFiledComponent;
    case DYNAMIC_CUSTOM__ATHENA_FAULT_PLAN_ADD_ROW:
      return FaultPlanAddRowComponent;
    default:
      break;
  }
  return null;
}
