import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TranslateModule } from '@ngx-translate/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { DynamicFormsAntUIModule } from '@athena/dynamic-ui';
import { AthFormModule } from '@athena/design-ui/src/components/form';
import { AthGridModule } from '@athena/design-ui/src/components/grid';
// import { BrowserAnimationsModule } from "@angular/platform-browser/animations";
import { AthTooltipModule } from '@athena/design-ui/src/components/tooltip';
import { AthInputModule } from '@athena/design-ui/src/components/input';
import { AthButtonModule } from '@athena/design-ui/src/components/button';
import { AthContainExplicitModule } from '@athena/design-ui/src/components/contain-explicit';
import { IconModule } from '@athena/design-ui/src/components/icon';
import { AthUploadModule } from '@athena/design-ui/src/components/upload';
import { AthSelectModule } from '@athena/design-ui/src/components/select';
import { AthInputNumberModule } from '@athena/design-ui/src/components/input-number';
import { AthCheckboxModule } from '@athena/design-ui/src/components/checkbox';
import { AthTableModule } from '@athena/design-ui/src/components/table';
import { AthTabsModule } from '@athena/design-ui/src/components/tabs';
import { AthDatePickerModule } from '@athena/design-ui/src/components/date-picker';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    TranslateModule,
    DynamicFormsAntUIModule,
    AthFormModule,
    AthGridModule,
    AthTooltipModule,
    AthInputModule,
    AthButtonModule,
    AthContainExplicitModule,
    IconModule,
    AthUploadModule,
    AthSelectModule,
    AthInputNumberModule,
    AthCheckboxModule,
    AthTableModule,
    AthTabsModule,
    AthDatePickerModule,
  ],
  exports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    TranslateModule,
    DynamicFormsAntUIModule,
    AthFormModule,
    AthGridModule,
    AthTooltipModule,
    AthInputModule,
    AthButtonModule,
    AthContainExplicitModule,
    IconModule,
    AthUploadModule,
    AthSelectModule,
    AthInputNumberModule,
    AthCheckboxModule,
    AthTableModule,
    AthTabsModule,
    AthDatePickerModule,
  ],
})
export class CustSharedModule {}
